



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>VMware虚拟机中常见的问题汇总</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">VMware虚拟机中常见的问题汇总</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-26 23:51:11 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在使用虚拟机进行开发工作的时候,经常会遇到各种各样的问题, 总结再次, 防微杜渐</p>
<p><strong>1.&nbsp;wget: unable to resolve host address的解决方法</strong></p>
<p>原因分析: DNS域名解析的问题</p>
<p>解决方案: 修改配置文件 /etc/resolv.conf</p>
<div>
<pre class="prettyprint linenums">nameserver 8.8.8.8 #google域名服务器<br />
nameserver 8.8.4.4 #google域名服务器
</pre>
</div>
<p>修改完成之后,重启网卡 service network restart</p>
<p>或使用命令 systemctl restart network(centos7)</p>
<p><strong>2.&nbsp;该虚拟机似乎正在使用中</strong></p>
<p>原因: 虚拟机由于部分原因,没有正常进行关机</p>
<p>解决方案:</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1128896/201805/1128896-20180531100446559-1573361666.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/1128896/201805/1128896-20180531100624010-1109697188.png" /></p>
<p>找到 虚拟机名称+.lck 的目录, &nbsp; 可以进行删除,或者修改名称 &nbsp; &nbsp;此时,虚拟机就可以正常运行了</p>
<p>3. &nbsp;name or service not known 无法ping通网络</p>
<p>　　1)添加DNS服务 &nbsp;vi /etc/resolv.conf</p>
<div>
<pre class="prettyprint linenums">nameserver 114.114.114.114 //首选<br />
nameserver 8.8.8.8 //备用</pre>
</div>
<p>　　2)修改配置文件&nbsp;<code>/etc/sysconfig/network-scripts/</code><code>ifcfg-ens33</code></p>
<div>
<pre class="prettyprint linenums">TYPE=Ethernet<br />
PROXY_METHOD=none<br />
BROWSER_ONLY=no<br />
BOOTPROTO=none<br />
DEFROUTE=yes<br />
IPV4_FAILURE_FATAL=no<br />
IPV6INIT=yes<br />
IPV6_AUTOCONF=yes<br />
IPV6_DEFROUTE=yes<br />
IPV6_FAILURE_FATAL=no<br />
IPV6_ADDR_GEN_MODE=stable-privacy<br />
NAME=ens33<br />
UUID=f4184f59--4bde-92b2-123a15c0450f<br />
DEVICE=ens33<br />
ONBOOT=yes<br />
IPADDR=192.168.0.181<br />
GATEWAY=192.168.0.1<br />
NETMASK=255.255.255.0</pre>
</div>
<p>4. wget 无法使用;netstat无法使用</p>
<div>
<pre class="prettyprint linenums">yum -y install wget

yum -y install net-tools</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9pmk6k9.html">JavaScript从父页面获取子页面的值（子页面又如何访问父页面）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1yypd9.html">Oracle备份与恢复之exp&sol;imp</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vdz0j8.html">spring mvc出现 Failed to convert property value of type &amp;&num;39&semi;java&period;lang&period;String&amp;&num;39&semi; to required type &amp;&num;39&semi;java&period;util&period;Date&amp;&num;39&semi; for property &amp;&num;39&semi;endtime&amp;&num;39&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1n1yj9.html">pg psql命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwd5egz8.html">linux下 ls 排序</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w13pwq.html">java&period;lang包</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde6p6x9.html">yum subversion puppet puppet-server</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mno5g0q.html">【转载】Qt中的QString&comma;QByteArray&comma;Qchar&comma; char&ast;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me2mg6q.html">opencv2对于读书笔记&mdash;&mdash;二值化&mdash;&mdash;thresholded功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljl2g19.html">通过反射生成SQL的例子</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jk6r38.html">我的学习记录JAVA第二天</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj23rj8.html">【4N魔方阵】</a>
		</li>
						<li><a href="https://www.batexi.com/a/950w7208.html">ListView的使用（二）长按弹出上下文菜单</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oj3zd1q.html">Robberies   hdu 2955   01背包</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z67nj9.html">JS获取字符对应的ASCII码</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge61o08.html">async generator promise异步方案实际运用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k6xyz9.html">Hive入门学习--HIve简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd0gzz9.html">java中变量的存储位置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy1vkjq.html">c&num;关于var的介绍和用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/90r2l639.html">Vue修改、编辑时，撤销修改内容，表格内容不变</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qv2e76j9.html">human pose estimation</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjpkx49.html">Teradata数据库访问链条</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m2jvr6q.html">面试总结&mdash;&mdash;Java篇</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1rvo558.html">Openstack window 10 镜像制作</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7oevkj8.html">springboot常见写法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7oev418.html">报错Unexpected token u</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwp5dd8.html">UVA10817-Headmaster&amp;&num;39&semi;s Headache（动态规划基础）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9603ng49.html">python入门学习：9&period;文件和异常</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m2j43oq.html">Java8时间的简单时间</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyknn39.html">【angularJS】过滤器</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
